/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.internet.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QInternetWidget extends EntityPathBase<InternetWidget> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// CustomDataStorage
	// InternetSeite
, "internetSeite.customDataStorage"
, "internetSeite.wahl"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QInternetWidget internetWidget = new QInternetWidget("internetWidget");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath beschreibung = createString("beschreibung");

  public final EnumPath<de.ivu.elect.business.internet.entity.InternetWidgetBreite> breite = createEnum("breite", de.ivu.elect.business.internet.entity.InternetWidgetBreite.class);

  public final NumberPath<java.lang.Long> position = createNumber("position", java.lang.Long.class);

  public final StringPath sprungmarke = createString("sprungmarke");

  public final EnumPath<de.ivu.elect.business.internet.entity.InternetWidgetStatus> status = createEnum("status", de.ivu.elect.business.internet.entity.InternetWidgetStatus.class);

  public final EnumPath<de.ivu.elect.business.internet.entity.InternetWidgetTyp> widgetTyp = createEnum("widgetTyp", de.ivu.elect.business.internet.entity.InternetWidgetTyp.class);

  public final NumberPath<java.lang.Long> zeile = createNumber("zeile", java.lang.Long.class);


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.customdata.entity.QCustomDataStorage customDataStorage;

  // Beziehungen N:1 bidirektional

  public final de.ivu.elect.business.internet.entity.QInternetSeite internetSeite;


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QInternetWidget(Class<? extends InternetWidget> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.customDataStorage = inits.isInitialized("customDataStorage") ? new de.ivu.elect.business.customdata.entity.QCustomDataStorage(forProperty("customDataStorage"), inits.get("customDataStorage")) : null;// de.ivu.elect.business.customdata.entity.QCustomDataStorage.customDataStorage;
    this.internetSeite = inits.isInitialized("internetSeite") ? new de.ivu.elect.business.internet.entity.QInternetSeite(forProperty("internetSeite"), inits.get("internetSeite")) : null;// de.ivu.elect.business.internet.entity.QInternetSeite.internetSeite;
  }

  public QInternetWidget(String variable) {
    this(InternetWidget.class, forVariable(variable), INITS);
  }

  public QInternetWidget(Path<? extends InternetWidget> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QInternetWidget(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QInternetWidget(PathMetadata metadata, PathInits inits) {
    this(InternetWidget.class, metadata, inits);
  }
}
